/*
 * Copyright 2009      Luc Verhaegen.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sub license,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the
 * next paragraph) shall be included in all copies or substantial portions
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

#ifndef XVMCE_H
#define XVMCE_H

Status XvMCEQueryExtension(Display *display, int *Version, int *Release,
			   int *event_basep, int *error_basep);
Status XvMCEQMatrixSend(Display *display, XvPortID port, char type,
			const unsigned char qmatrix[64]);
Status XVMCEBufferSliceInit(Display *dpy, XvPortID port, XID Buffer,
			    CARD8 PictureType, CARD8 SliceFlags,
			    Bool HasBackwardsReference, XID BackwardsReference,
			    Bool HasForwardsReference, XID ForwardsReference,
			    CARD8 MVRange_BackwardsHorizontal,
			    CARD8 MVRange_BackwardsVertical,
			    CARD8 MVRange_ForwardsHorizontal,
			    CARD8 MVRange_ForwardsVertical);
Status XVMCEBufferSliceSend(Display *dpy, XvPortID port, XID Buffer,
			    int SliceCount, int SliceSize, char *Slice);
#endif /* XVMCE_H */
